#!/bin/bash

# extract runtimes
echo -e "cographEditingTime\ttripleExtractionTime\tmaximalConsistentSubsetTime\tbuildTime\tleastResolvedTreeTime\ttolatTime" > runtime
cgeTime=$(cat enterobacteriales | grep -A1 "#cograph solving time" | tail -n 1)
texTime=$(cat enterobacteriales | grep -A1 "#triple extraction time" | tail -n 1)
mcsTime=$(cat enterobacteriales | grep -A1 "#maximal consistent subset solving time" | tail -n 1)
buildTime=$(cat enterobacteriales | grep -A1 "#BUILD tree reconstruction time" | tail -n 1)
lrtTime=$(cat enterobacteriales | grep -A1 "#least resolved tree solving time" | tail -n 1)
totalTime=$(cat enterobacteriales | grep -A1 "#total time" | tail -n 1)
echo -n -e "$cgeTime\t" >> runtime
echo -n -e "$texTime\t" >> runtime
echo -n -e "$mcsTime\t" >> runtime
echo -n -e "$buildTime\t" >> runtime
echo -n -e "$lrtTime\t" >> runtime
echo -e "$totalTime" >> runtime

# rename taxa
./tools/stringReplace.sh enterobacteriales.tree translation 1 3 > enterobacteriales.final.tree

# compute consensus trees for bootstraps
cat enterobacteriales.cboot.tree > tmp.tree
for i in {1..100}
do
  echo "" >> tmp.tree
  cat enterobacteriales.tree >> tmp.tree
done
./tools/stringReplace.sh tmp.tree translation 1 2 > tmp2.tree
rm outfile
rm outtree
echo "tmp2.tree" > consenseInput
echo "R" >> consenseInput
echo "Y" >> consenseInput
./tools/consense < consenseInput
./tools/stringReplace.sh outtree translation 2 3 > enterobacteriales.cboot.consensus.tree
sed -i "s#):10#)#g" enterobacteriales.cboot.consensus.tree
sed -i "s#):1#)#g" enterobacteriales.cboot.consensus.tree
sed -i "s#):200#)100#g" enterobacteriales.cboot.consensus.tree
sed -i "s#:200\.0##g" enterobacteriales.cboot.consensus.tree

cat enterobacteriales.tboot.tree > tmp.tree
for i in {1..100}
do
  echo "" >> tmp.tree
  cat enterobacteriales.tree >> tmp.tree
done
./tools/stringReplace.sh tmp.tree translation 1 2 > tmp2.tree
rm outfile
rm outtree
echo "tmp2.tree" > consenseInput
echo "R" >> consenseInput
echo "Y" >> consenseInput
./tools/consense < consenseInput
./tools/stringReplace.sh outtree translation 2 3 > enterobacteriales.tboot.consensus.tree
sed -i "s#):10#)#g" enterobacteriales.tboot.consensus.tree
sed -i "s#):1#)#g" enterobacteriales.tboot.consensus.tree
sed -i "s#):200#)100#g" enterobacteriales.tboot.consensus.tree
sed -i "s#:200\.0##g" enterobacteriales.tboot.consensus.tree

rm consenseInput
rm outfile
rm outtree
rm tmp.tree
rm tmp2.tree

cat enterobacterialesPATRIC.tree > all.tree
cat enterobacteriales.final.tree >> all.tree
cat enterobacteriales.cboot.consensus.tree | tr -d '\n' >> all.tree
echo "" >> all.tree
cat enterobacteriales.tboot.consensus.tree | tr -d '\n' >> all.tree

java -jar TreeCmp/bin/TreeCmp.jar -r enterobacterialesPATRIC.tree -d mc rc ns tt -N -i enterobacteriales.final.tree -o enterobacteriales.dist
