attach(mtcars)
setEPS()

`dataL5GF100` <- read.delim("results/5/100/results.data", header=F)
`dataL5GF200` <- read.delim("results/5/200/results.data", header=F)
`dataL5GF300` <- read.delim("results/5/300/results.data", header=F)
`dataL5GF400` <- read.delim("results/5/400/results.data", header=F)
`dataL5GF500` <- read.delim("results/5/500/results.data", header=F)

`dataL10GF100` <- read.delim("results/10/100/results.data", header=F)
`dataL10GF200` <- read.delim("results/10/200/results.data", header=F)
`dataL10GF300` <- read.delim("results/10/300/results.data", header=F)
`dataL10GF400` <- read.delim("results/10/400/results.data", header=F)
`dataL10GF500` <- read.delim("results/10/500/results.data", header=F)

`dataL15GF100` <- read.delim("results/15/100/results.data", header=F)
`dataL15GF200` <- read.delim("results/15/200/results.data", header=F)
`dataL15GF300` <- read.delim("results/15/300/results.data", header=F)
`dataL15GF400` <- read.delim("results/15/400/results.data", header=F)
`dataL15GF500` <- read.delim("results/15/500/results.data", header=F)

`dataL20GF100` <- read.delim("results/20/100/results.data", header=F)
`dataL20GF200` <- read.delim("results/20/200/results.data", header=F)
`dataL20GF300` <- read.delim("results/20/300/results.data", header=F)
`dataL20GF400` <- read.delim("results/20/400/results.data", header=F)
`dataL20GF500` <- read.delim("results/20/500/results.data", header=F)

postscript("genefamilies_ALF.eps", width=12, height=4)
par(mfrow=c(1,4), mar=c(6,0.5,1.5,0.5), oma=c(0,6,0,0), mgp = c(4, 1.5, 0))
boxplot(dataL10GF100$V12, dataL10GF200$V12, dataL10GF300$V12, dataL10GF400$V12, dataL10GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="", names=c("100", "200", "300", "400", "500"), cex.lab=2, cex.axis=2, bty="n")
boxplot(dataL20GF100$V12, dataL20GF200$V12, dataL20GF300$V12, dataL20GF400$V12, dataL20GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="", names=c("100", "200", "300", "400", "500"), cex.lab=2, cex.axis=2, yaxt="n",  bty="n")
mtext("TT distance", side=2, line=3.5, cex=2, outer=TRUE)

postscript("genefamiliesMC_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataL5GF100$V3, dataL5GF200$V3, dataL5GF300$V3, dataL5GF400$V3, dataL5GF500$V3, ylim=c(0,1.0), xlab="# gene families", ylab="MC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL10GF100$V3, dataL10GF200$V3, dataL10GF300$V3, dataL10GF400$V3, dataL10GF500$V3, ylim=c(0,1.0), xlab="# gene families", ylab="MC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL15GF100$V3, dataL15GF200$V3, dataL15GF300$V3, dataL15GF400$V3, dataL15GF500$V3, ylim=c(0,1.0), xlab="# gene families", ylab="MC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL20GF100$V3, dataL20GF200$V3, dataL20GF300$V3, dataL20GF400$V3, dataL20GF500$V3, ylim=c(0,1.0), xlab="# gene families", ylab="MC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

postscript("genefamiliesRC_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataL5GF100$V6, dataL5GF200$V6, dataL5GF300$V6, dataL5GF400$V6, dataL5GF500$V6, ylim=c(0,1.0), xlab="# gene families", ylab="RC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL10GF100$V6, dataL10GF200$V6, dataL10GF300$V6, dataL10GF400$V6, dataL10GF500$V6, ylim=c(0,1.0), xlab="# gene families", ylab="RC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL15GF100$V6, dataL15GF200$V6, dataL15GF300$V6, dataL15GF400$V6, dataL15GF500$V6, ylim=c(0,1.0), xlab="# gene families", ylab="RC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL20GF100$V6, dataL20GF200$V6, dataL20GF300$V6, dataL20GF400$V6, dataL20GF500$V6, ylim=c(0,1.0), xlab="# gene families", ylab="RC distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

postscript("genefamiliesNS_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataL5GF100$V9, dataL5GF200$V9, dataL5GF300$V9, dataL5GF400$V9, dataL5GF500$V9, ylim=c(0,1.0), xlab="# gene families", ylab="NS distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL10GF100$V9, dataL10GF200$V9, dataL10GF300$V9, dataL10GF400$V9, dataL10GF500$V9, ylim=c(0,1.0), xlab="# gene families", ylab="NS distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL15GF100$V9, dataL15GF200$V9, dataL15GF300$V9, dataL15GF400$V9, dataL15GF500$V9, ylim=c(0,1.0), xlab="# gene families", ylab="NS distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL20GF100$V9, dataL20GF200$V9, dataL20GF300$V9, dataL20GF400$V9, dataL20GF500$V9, ylim=c(0,1.0), xlab="# gene families", ylab="NS distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

postscript("genefamiliesTT_ALF.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataL5GF100$V12, dataL5GF200$V12, dataL5GF300$V12, dataL5GF400$V12, dataL5GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="TT distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL10GF100$V12, dataL10GF200$V12, dataL10GF300$V12, dataL10GF400$V12, dataL10GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="TT distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL15GF100$V12, dataL15GF200$V12, dataL15GF300$V12, dataL15GF400$V12, dataL15GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="TT distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataL20GF100$V12, dataL20GF200$V12, dataL20GF300$V12, dataL20GF400$V12, dataL20GF500$V12, ylim=c(0,1.0), xlab="# gene families", ylab="TT distance", names=c("100", "200", "300", "400", "500"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
