#!/bin/bash

mkdir homology
rm -r VP

echo -n "" > homology/avgorthologs
echo -n "" > homology/avgparalogs
echo -n "" > homology/avgxenologs
for leaves in 5 10 15 20
do
 for gf in 100 200 300 400 500
 do
 echo -n "" > homology/orthologs-$leaves-$gf
 echo -n "" > homology/paralogs-$leaves-$gf
 echo -n "" > homology/xenologs-$leaves-$gf
  for i in {1..100}
  do
   tar xf results/$leaves/$gf/VP$i.tgz
   homologs=$(tail -n 1 VP/HP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   orthologs=$(tail -n 1 VP/OP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   paralogs=$(tail -n 1 VP/PP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   xenologs=$(tail -n 1 VP/XP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   echo "scale=2; ($orthologs * 100) / $homologs" | bc >> homology/orthologs-$leaves-$gf
   echo "scale=2; ($paralogs * 100) / $homologs" | bc >> homology/paralogs-$leaves-$gf
   echo "scale=2; ($xenologs * 100) / $homologs" | bc >> homology/xenologs-$leaves-$gf
   rm -r VP
  done
  avgorthology=$(cat homology/orthologs-$leaves-$gf | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  avgparalogy=$(cat homology/paralogs-$leaves-$gf | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  avgxenology=$(cat homology/xenologs-$leaves-$gf | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  echo "orthologs-$leaves-$gf: $avgorthology" >> homology/avgorthologs
  echo "paralogs-$leaves-$gf: $avgparalogy" >> homology/avgparalogs
  echo "xenologs-$leaves-$gf: $avgxenology" >> homology/avgxenologs
 done
done
