#!/bin/bash

# create plots
cd results
for leaves in 5 10 15 20
do
 cd $leaves
 for gf in 100 200 300 400 500
 do
  cd $gf
  awk "FNR==2{print;nextfile}" *.dist > results.data
  cd ..
 done
 cd ..
done
cd ..
Rscript genefamilies.R

# extract runtimes
for leaves in 5 10 15 20
do
 echo -e "cographEditingTime\ttripleExtractionTime\tmaximalConsistentSubsetTime\tbuildTime\tleastResolvedTreeTime\ttolatTime" > "runtime$leaves"
 for gf in 100 200 300 400 500
 do
  for i in {1..100}
  do
  cgeTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#cograph solving time" | tail -n 1)
  texTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#triple extraction time" | tail -n 1)
  mcsTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#maximal consistent subset solving time" | tail -n 1)
  buildTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#BUILD tree reconstruction time" | tail -n 1)
  lrtTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#least resolved tree solving time" | tail -n 1)
  totalTime=$(cat "results/$leaves/$gf/sim$i" | grep -A1 "#total time" | tail -n 1)
  echo -n -e "$cgeTime\t" >> "runtime$leaves"
  echo -n -e "$texTime\t" >> "runtime$leaves"
  echo -n -e "$mcsTime\t" >> "runtime$leaves"
  echo -n -e "$buildTime\t" >> "runtime$leaves"
  echo -n -e "$lrtTime\t" >> "runtime$leaves"
  echo -e "$totalTime" >> "runtime$leaves"
  done
 done
done

./getHomology.sh

epstool --copy --bbox genefamilies_ALF.eps plot_genefamilies_ALF.eps
