#!/bin/bash

mkdir homology
rm -r VP

echo -n "" > homology/avgorthologs
echo -n "" > homology/avgparalogs
echo -n "" > homology/avgxenologs
for dl in 50
do
 for h in 00 25 50 75
 do
  echo -n "" > homology/orthologs-$dl-$h
  echo -n "" > homology/paralogs-$dl-$h
  echo -n "" > homology/xenologs-$dl-$h
  for i in {1..100}
  do
   tar xf results/DL$dl/H$h/VP$i.tgz
   homologs=$(tail -n 1 VP/HP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   orthologs=$(tail -n 1 VP/OP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   paralogs=$(tail -n 1 VP/PP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   xenologs=$(tail -n 1 VP/XP.drw| sed 's#\([0-9]\+\)#\1\n#g' | egrep -o "[0-9]+" | wc -l)
   echo "scale=2; ($orthologs * 100) / $homologs" | bc >> homology/orthologs-$dl-$h
   echo "scale=2; ($paralogs * 100) / $homologs" | bc >> homology/paralogs-$dl-$h
   echo "scale=2; ($xenologs * 100) / $homologs" | bc >> homology/xenologs-$dl-$h
   rm -r VP
  done
  avgorthology=$(cat homology/orthologs-$dl-$h | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  avgparalogy=$(cat homology/paralogs-$dl-$h | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  avgxenology=$(cat homology/xenologs-$dl-$h | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  echo "orthologs-$dl-$h: $avgorthology" >> homology/avgorthologs
  echo "paralogs-$dl-$h: $avgparalogy" >> homology/avgparalogs
  echo "xenologs-$dl-$h: $avgxenology" >> homology/avgxenologs
 done
done


