attach(mtcars)
setEPS()

`dataDL50H00po` <- read.delim("results/DL50/H00/results.proteinortho.data", header=F)
`dataDL50H25po` <- read.delim("results/DL50/H25/results.proteinortho.data", header=F)
`dataDL50H50po` <- read.delim("results/DL50/H50/results.proteinortho.data", header=F)
`dataDL50H75po` <- read.delim("results/DL50/H75/results.proteinortho.data", header=F)

`dataDL50H00alfpp` <- read.delim("results/DL50/H00/results.alf.pp.data", header=F)
`dataDL50H25alfpp` <- read.delim("results/DL50/H25/results.alf.pp.data", header=F)
`dataDL50H50alfpp` <- read.delim("results/DL50/H50/results.alf.pp.data", header=F)
`dataDL50H75alfpp` <- read.delim("results/DL50/H75/results.alf.pp.data", header=F)

`dataDL50H00alfpo` <- read.delim("results/DL50/H00/results.alf.po.data", header=F)
`dataDL50H25alfpo` <- read.delim("results/DL50/H25/results.alf.po.data", header=F)
`dataDL50H50alfpo` <- read.delim("results/DL50/H50/results.alf.po.data", header=F)
`dataDL50H75alfpo` <- read.delim("results/DL50/H75/results.alf.po.data", header=F)


postscript("hgtnoise_ALF.eps", width=12, height=4)
par(mfrow=c(1,4), mar=c(6,0.5,1.5,0.5), oma=c(0,6,0,0), mgp = c(4, 1.5, 0))
boxplot(dataDL50H00po$V12, dataDL50H25po$V12, dataDL50H50po$V12, dataDL50H75po$V12, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="", names=c('', '', '', ''), cex.lab=2, cex.axis=2, bty="n")
boxplot(dataDL50H00alfpp$V12, dataDL50H25alfpp$V12, dataDL50H50alfpp$V12, dataDL50H75alfpp$V12, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="", names=c('', '', '', ''), cex.lab=2, cex.axis=2, yaxt="n",  bty="n")
mtext("TT distance", side=2, line=3.5, cex=2, outer=TRUE)


postscript("hgtnoise_ALF-Proteinortho.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataDL50H00po$V3, dataDL50H25po$V3, dataDL50H50po$V3, dataDL50H75po$V3, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="MC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00po$V6, dataDL50H25po$V6, dataDL50H50po$V6, dataDL50H75po$V6, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="RC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00po$V9, dataDL50H25po$V9, dataDL50H50po$V9, dataDL50H75po$V9, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="NS distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00po$V12, dataDL50H25po$V12, dataDL50H50po$V12, dataDL50H75po$V12, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="TT distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

postscript("hgtnoise_ALF-PP.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataDL50H00alfpp$V3, dataDL50H25alfpp$V3, dataDL50H50alfpp$V3, dataDL50H75alfpp$V3, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="MC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpp$V6, dataDL50H25alfpp$V6, dataDL50H50alfpp$V6, dataDL50H75alfpp$V6, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="RC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpp$V9, dataDL50H25alfpp$V9, dataDL50H50alfpp$V9, dataDL50H75alfpp$V9, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="NS distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpp$V12, dataDL50H25alfpp$V12, dataDL50H50alfpp$V12, dataDL50H75alfpp$V12, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="TT distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

postscript("hgtnoise_ALF-PO.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
boxplot(dataDL50H00alfpo$V3, dataDL50H25alfpo$V3, dataDL50H50alfpo$V3, dataDL50H75alfpo$V3, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="MC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpo$V6, dataDL50H25alfpo$V6, dataDL50H50alfpo$V6, dataDL50H75alfpo$V6, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="RC distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpo$V9, dataDL50H25alfpo$V9, dataDL50H50alfpo$V9, dataDL50H75alfpo$V9, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="NS distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)
boxplot(dataDL50H00alfpo$V12, dataDL50H25alfpo$V12, dataDL50H50alfpo$V12, dataDL50H75alfpo$V12, ylim=c(0,1.0), xlab="% horizontal gene transfer", ylab="TT distance", names=c('', '', '', ''), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


