#!/bin/bash


# create plots
cd results
for dl in 50
do
 cd DL$dl
 for h in 00 25 50 75
 do
  cd H$h
  awk "FNR==2{print;nextfile}" *.alf.pp.dist > results.alf.pp.data
  awk "FNR==2{print;nextfile}" *.alf.po.dist > results.alf.po.data
  awk "FNR==2{print;nextfile}" *.proteinortho.dist > results.proteinortho.data
  cd ..
 done
 cd ..
done
cd ..


./getHomology.sh
X00=$(cat homology/xenologs-50-00 | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
X00=$(echo "scale=1; $X00/1" | bc)
X25=$(cat homology/xenologs-50-25 | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
X25=$(echo "scale=1; $X25/1" | bc)
X50=$(cat homology/xenologs-50-50 | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
X50=$(echo "scale=1; $X50/1" | bc)
X75=$(cat homology/xenologs-50-75 | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
X75=$(echo "scale=1; $X75/1" | bc)
sed "s#names=c('', '', '', '')#names=c('$X00', '$X25', '$X50', '$X75')#g" hgtnoise.R > hgtnoiseCustom.R
Rscript hgtnoiseCustom.R

epstool --copy --bbox hgtnoise_ALF.eps plot_hgtnoise_ALF.eps

