attach(mtcars)
setEPS()

postscript("noiseMC.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("1/1-0.05.data", header=F)
`data10` <- read.delim("1/1-0.10.data", header=F)
`data15` <- read.delim("1/1-0.15.data", header=F)
`data20` <- read.delim("1/1-0.20.data", header=F)
`data25` <- read.delim("1/1-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% homologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("3/3-0.05.data", header=F)
`data10` <- read.delim("3/3-0.10.data", header=F)
`data15` <- read.delim("3/3-0.15.data", header=F)
`data20` <- read.delim("3/3-0.20.data", header=F)
`data25` <- read.delim("3/3-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% orthologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("2/2-0.05.data", header=F)
`data10` <- read.delim("2/2-0.10.data", header=F)
`data15` <- read.delim("2/2-0.15.data", header=F)
`data20` <- read.delim("2/2-0.20.data", header=F)
`data25` <- read.delim("2/2-0.25.data", header=F)
boxplot(data05$V3, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% paralogous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("4/4-0.05.data", header=F)
`data10` <- read.delim("4/4-0.10.data", header=F)
`data15` <- read.delim("4/4-0.15.data", header=F)
`data20` <- read.delim("4/4-0.20.data", header=F)
`data25` <- read.delim("4/4-0.25.data", header=F)
boxplot(data05$V12, data10$V3, data15$V3, data20$V3, data25$V3, ylim=c(0,1.0), xlab="% xenologous noise", ylab="MC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseRC.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("1/1-0.05.data", header=F)
`data10` <- read.delim("1/1-0.10.data", header=F)
`data15` <- read.delim("1/1-0.15.data", header=F)
`data20` <- read.delim("1/1-0.20.data", header=F)
`data25` <- read.delim("1/1-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% homologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("3/3-0.05.data", header=F)
`data10` <- read.delim("3/3-0.10.data", header=F)
`data15` <- read.delim("3/3-0.15.data", header=F)
`data20` <- read.delim("3/3-0.20.data", header=F)
`data25` <- read.delim("3/3-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% orthologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("2/2-0.05.data", header=F)
`data10` <- read.delim("2/2-0.10.data", header=F)
`data15` <- read.delim("2/2-0.15.data", header=F)
`data20` <- read.delim("2/2-0.20.data", header=F)
`data25` <- read.delim("2/2-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% paralogous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("4/4-0.05.data", header=F)
`data10` <- read.delim("4/4-0.10.data", header=F)
`data15` <- read.delim("4/4-0.15.data", header=F)
`data20` <- read.delim("4/4-0.20.data", header=F)
`data25` <- read.delim("4/4-0.25.data", header=F)
boxplot(data05$V6, data10$V6, data15$V6, data20$V6, data25$V6, ylim=c(0,1.0), xlab="% xenologous noise", ylab="RC distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseNS.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("1/1-0.05.data", header=F)
`data10` <- read.delim("1/1-0.10.data", header=F)
`data15` <- read.delim("1/1-0.15.data", header=F)
`data20` <- read.delim("1/1-0.20.data", header=F)
`data25` <- read.delim("1/1-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0),xlab="% homologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("3/3-0.05.data", header=F)
`data10` <- read.delim("3/3-0.10.data", header=F)
`data15` <- read.delim("3/3-0.15.data", header=F)
`data20` <- read.delim("3/3-0.20.data", header=F)
`data25` <- read.delim("3/3-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0),xlab="% orthologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("2/2-0.05.data", header=F)
`data10` <- read.delim("2/2-0.10.data", header=F)
`data15` <- read.delim("2/2-0.15.data", header=F)
`data20` <- read.delim("2/2-0.20.data", header=F)
`data25` <- read.delim("2/2-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0), xlab="% paralogous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("4/4-0.05.data", header=F)
`data10` <- read.delim("4/4-0.10.data", header=F)
`data15` <- read.delim("4/4-0.15.data", header=F)
`data20` <- read.delim("4/4-0.20.data", header=F)
`data25` <- read.delim("4/4-0.25.data", header=F)
boxplot(data05$V9, data10$V9, data15$V9, data20$V9, data25$V9, ylim=c(0,1.0), xlab="% xenologous noise", ylab="NS distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)


postscript("noiseTT.eps", width=12, height=3)
par(mfrow=c(1,4), mar=c(4.5,4.5,0.5,0.5), oma=c(0,0,0,0), mgp = c(2.5, 1, 0))
`data05` <- read.delim("1/1-0.05.data", header=F)
`data10` <- read.delim("1/1-0.10.data", header=F)
`data15` <- read.delim("1/1-0.15.data", header=F)
`data20` <- read.delim("1/1-0.20.data", header=F)
`data25` <- read.delim("1/1-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% homologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("3/3-0.05.data", header=F)
`data10` <- read.delim("3/3-0.10.data", header=F)
`data15` <- read.delim("3/3-0.15.data", header=F)
`data20` <- read.delim("3/3-0.20.data", header=F)
`data25` <- read.delim("3/3-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% orthologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("2/2-0.05.data", header=F)
`data10` <- read.delim("2/2-0.10.data", header=F)
`data15` <- read.delim("2/2-0.15.data", header=F)
`data20` <- read.delim("2/2-0.20.data", header=F)
`data25` <- read.delim("2/2-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% paralogous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

`data05` <- read.delim("4/4-0.05.data", header=F)
`data10` <- read.delim("4/4-0.10.data", header=F)
`data15` <- read.delim("4/4-0.15.data", header=F)
`data20` <- read.delim("4/4-0.20.data", header=F)
`data25` <- read.delim("4/4-0.25.data", header=F)
boxplot(data05$V12, data10$V12, data15$V12, data20$V12, data25$V12, ylim=c(0,1.0), xlab="% xenologous noise", ylab="TT distance", names=c("5","10","15","20","25"), cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5)

